Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.validator
Class Email

    java.lang.Object
      org.apache.tapestry5.validator.AbstractValidator<java.lang.Void,java.lang.String>
          org.apache.tapestry5.validator.Email

All Implemented Interfaces:
  Validator<java.lang.Void,java.lang.String>

    public class Email

extends AbstractValidator<java.lang.Void,java.lang.String>

A validator that checks if a given string is well-formed email address. This validator is not configurable.

Constructor Summary
`Email()`

Method Summary
`void` | `render(Field field, java.lang.Void constraintValue, MessageFormatter formatter, MarkupWriter markupWriter, FormSupport formSupport)` Hook used by components to allow the validator to contribute additional attributes or (more often) client-side JavaScript (via the `FormSupport.addValidation(Field, String, String, Object)`).
`void` | `validate(Field field, java.lang.Void constraintValue, MessageFormatter formatter, java.lang.String value)` Invoked after the client-submitted value has been `translated` to check that the value conforms to expectations (often, in terms of minimum or maximum value).

Methods inherited from class org.apache.tapestry5.validator.AbstractValidator
`getConstraintType, getMessageKey, getValueType, isRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Email

    public Email()

Method Detail

### render

    public void render(Field field,
                       java.lang.Void constraintValue,
                       MessageFormatter formatter,
                       MarkupWriter markupWriter,
                       FormSupport formSupport)

  Description copied from interface: `Validator`
  Hook used by components to allow the validator to contribute additional attributes or (more often) client-side JavaScript (via the `FormSupport.addValidation(Field, String, String, Object)`).

  Parameters:
    `field` - the field which is currently being rendered
    `constraintValue` - the value used to constrain input
    `formatter` - validation message, in the appropriate locale
    `markupWriter` - markup writer, allowing additional attributes to be written into the active element
    `formSupport` - used to add JavaScript

### validate

    public void validate(Field field,
                         java.lang.Void constraintValue,
                         MessageFormatter formatter,
                         java.lang.String value)
                  throws ValidationException

  Description copied from interface: `Validator`
  Invoked after the client-submitted value has been `translated` to check that the value conforms to expectations (often, in terms of minimum or maximum value). If and only if the value is approved by all Validators is the value applied by the field.

  Parameters:
    `field` - the field for which a client submitted value is being validated
    `constraintValue` - the value used to constrain
    `formatter` - Validation messages, in the appropriate locale
    `value` - the translated value supplied by the user
  Throws:
    `ValidationException` - if the value violates the constraint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.